org.apache.fop.render.afp.extensions

## Class AFPPageOverlayElement

- java.lang.Object
- - org.apache.fop.fo.FONode
  - - org.apache.fop.render.afp.extensions.AbstractAFPExtensionObject
    - - org.apache.fop.render.afp.extensions.AFPPageOverlayElement

- All Implemented Interfaces:
    java.lang.Cloneable

      public class AFPPageOverlayElement
      extends AbstractAFPExtensionObject

  This class extends the org.apache.fop.render.afp.extensions.AbstractAFPExtensionObject class. This object will be used to map the page overlay object in AFPElementMapping.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.fop.fo.FONode

      `FONode.FONodeIterator, FONode.GatherContextInfoFunction`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `ATT_X`
    `protected static java.lang.String` | `ATT_Y`

    - ### Fields inherited from class org.apache.fop.render.afp.extensions.AbstractAFPExtensionObject

      `extensionAttachment, name`

    - ### Fields inherited from class org.apache.fop.fo.FONode

      `FO_URI, FOX_URI, locator, log, nodeChangeBarList, parent, siblings, startOfNodeChangeBarList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AFPPageOverlayElement(FONode parent, java.lang.String name)` Constructs an AFP object (called by Maker).

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ExtensionAttachment` | `instantiateExtensionAttachment()` Instantiates extension attachment object
    `void` | `processNode(java.lang.String elementName, org.xml.sax.Locator locator, org.xml.sax.Attributes attlist, PropertyList propertyList)` Initialize the node with its name, location information, and attributes The attributes must be used immediately as the sax attributes will be altered for the next element.
    `void` | `startOfNode()` Called after processNode() is called.

    - ### Methods inherited from class org.apache.fop.render.afp.extensions.AbstractAFPExtensionObject

      `endOfNode, getExtensionAttachment, getLocalName, getNamespaceURI, getNormalNamespacePrefix, validateChildNode`

    - ### Methods inherited from class org.apache.fop.fo.FONode

      `addCharacters, addChildNode, attachSiblings, bind, canHaveMarkers, characters, charIterator, clone, clone, collectDelimitedTextRanges, collectDelimitedTextRanges, createPropertyList, decorateWithContextInfo, errorText, finalizeNode, gatherContextInfo, getBuilderContext, getChangeBarList, getChildNodes, getChildNodes, getContentHandlerFactory, getContextInfo, getContextInfoAlt, getFOEventHandler, getFOValidationEventProducer, getLocator, getLocatorString, getLogger, getName, getName, getNameId, getNodePrefix, getNodeString, getParent, getRoot, getStructureTreeElement, getUserAgent, inMarker, invalidChildError, invalidChildError, invalidPropertyValueError, isBidiRangeBlockItem, isChangeBarElement, isDelimitedTextRangeBoundary, missingChildElementError, missingChildElementError, missingPropertyError, nodesOutOfOrderError, nodesOutOfOrderError, notSupportedChildError, removeChild, setLocator, setStructureTreeElement, tooManyNodesError, tooManyNodesError, tooManyNodesError, validateChildNode, warningText`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ATT_X

          protected static final java.lang.String ATT_X

      See Also:
        Constant Field Values

    - #### ATT_Y

          protected static final java.lang.String ATT_Y

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AFPPageOverlayElement

          public AFPPageOverlayElement(FONode parent,
                                       java.lang.String name)

      Constructs an AFP object (called by Maker).
      Parameters:
        `parent` - the parent formatting object
        `name` - the name of the afp element

  - ### Method Detail

    - #### startOfNode

          public void startOfNode()
                           throws FOPException

      Called after processNode() is called. Subclasses can do additional processing.
      Overrides:
        `startOfNode` in class `FONode`
      Throws:
        `FOPException` - if there's a problem during processing

    - #### processNode

          public void processNode(java.lang.String elementName,
                                  org.xml.sax.Locator locator,
                                  org.xml.sax.Attributes attlist,
                                  PropertyList propertyList)
                           throws FOPException

      Initialize the node with its name, location information, and attributes The attributes must be used immediately as the sax attributes will be altered for the next element.
      Overrides:
        `processNode` in class `AbstractAFPExtensionObject`
      Parameters:
        `elementName` - element name (e.g., "fo:block")
        `locator` - Locator object (ignored by default)
        `attlist` - Collection of attributes passed to us from the parser.
        `propertyList` - the property list of the parent node
      Throws:
        `FOPException` - for errors or inconsistencies in the attributes

    - #### instantiateExtensionAttachment

          protected ExtensionAttachment instantiateExtensionAttachment()

      Instantiates extension attachment object
      Specified by:
        `instantiateExtensionAttachment` in class `AbstractAFPExtensionObject`
      Returns:
        extension attachment

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.